#NoTrayIcon
#Region                                          ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=img\Bell.ico
#AutoIt3Wrapper_Outfile=Adventskalender.exe
#AutoIt3Wrapper_UseX64=n
#AutoIt3Wrapper_Res_Description=Adventskalender
#AutoIt3Wrapper_Res_Fileversion=1.0.0.0
#AutoIt3Wrapper_Res_LegalCopyright=Santa Claus
#EndRegion                                         ;**** Directives created by AutoIt3Wrapper_GUI ****

#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>

Opt('GUIOnEventMode', 1)
Opt('MustDeclareVars', 1)

Global $sImgDir = @ScriptDir & '\img\'
Global $aNumbers[24] = [ _                       ; Reihenfolge der Tage auf dem Kalender
        7, 3, 12, 8, 19, 22, _
        14, 16, 5, 24, 1, 15, _
        23, 13, 20, 2, 17, 6, _
        10, 4, 11, 9, 21, 18]
Global $ahPics[24][2]
Global $sTitle = 'Adventskalender v1.0', $iOldDay = -1

Global $hGui = GUICreate($sTitle, 1024, 732, -1, -1, BitOR($WS_CAPTION, $WS_SYSMENU), $WS_EX_CONTROLPARENT)
GUISetIcon($sImgDir & 'bell.ico', -1, $hGui)
GUISetOnEvent($GUI_EVENT_CLOSE, '_End')
GUICtrlCreatePic($sImgDir & 'advent.jpg', 0, 0, 1024, 732)
GUICtrlSetState(-1, $GUI_DISABLE)
For $i = 0 To 3
    For $j = 0 To 5
        $ahPics[$aNumbers[$i * 6 + $j] - 1][0] = GUICtrlCreateLabel(@CR & $aNumbers[$i * 6 + $j], 60 + $j * 150, 80 + $i * 154, 120, 120, $SS_CENTER)
        GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
        GUICtrlSetFont(-1, 24, 800, 0, 'Arial', 5)
        GUICtrlSetColor(-1, 0x202020)
        $ahPics[$aNumbers[$i * 6 + $j] - 1][1] = GUICtrlCreateLabel(@CR & $aNumbers[$i * 6 + $j], 58 + $j * 150, 77 + $i * 154, 120, 120, BitOR($SS_CENTER, $WS_BORDER), $WS_EX_STATICEDGE)
        GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
        GUICtrlSetFont(-1, 24, 800, 0, 'Arial', 5)
        GUICtrlSetColor(-1, 0xFFFFFF)
    Next
Next

_CheckDate()
GUISetState(@SW_SHOW, $hGui)
AdlibRegister('_CheckDate', 1000)

While Sleep(100)
WEnd

Func _End()
    Exit
EndFunc                                          ;==>_End

Func _CheckDate()
    If @MDAY = $iOldDay Then Return
    $iOldDay = @MDAY
    For $i = 0 To 23
        If @MON = 12 And @MDAY > $i Then
            GUICtrlSetOnEvent($ahPics[$i][0], '_ShowPic')
            GUICtrlSetColor($ahPics[$i][1], 0xFFFF00)
        Else
            GUICtrlSetOnEvent($ahPics[$i][0], '')
            GUICtrlSetColor($ahPics[$i][1], 0xFFFFFF)
        EndIf
    Next
EndFunc                                          ;==>_CheckDate

Func _ShowPic()
    Opt('GUIOnEventMode', 0)
    Local $iPic = StringStripCR(GUICtrlRead(@GUI_CtrlId)), $hShow, $hPic
    Local $iWidth = 400, $iHeight = 600          ; die Bilder 01...23 sind 400x600 Pixel gro
    If $iPic = 24 Then Local $iWidth = 1024, $iHeight = 768 ; das Bild fr den 24.Dezember ist 1024x768 Pixel gro
    $hShow = GUICreate($iPic & '. Dezember', $iWidth, $iHeight, -1, -1, BitOR($WS_CAPTION, $WS_SYSMENU), Default, $hGui)
    GUISetIcon($sImgDir & '\bell.ico', -1, $hShow)
    $iPic = StringRight('0' & $iPic, 2)
    $hPic = GUICtrlCreatePic($sImgDir & $iPic & '.jpg', 0, 0, $iWidth, $iHeight)
    GUISetState()
    Do
    Until GUIGetMsg() = $GUI_EVENT_CLOSE
    GUIDelete($hShow)
    Opt('GUIOnEventMode', 1)
EndFunc                                          ;==>_ShowPic
